<?php

namespace KST\TagsCloud\Widget;

use XF\Widget\AbstractWidget;

class TagsCloud extends AbstractWidget

{
	protected $defaultOptions = [
		
		'stage' => 'open',
		'minUses' => 5,
	
	];
	
	public function render()
	{
		
		$options = $this->options;
		$limit = $options['limit'];
		$minUses = $options['minUses'];		


		$tagRepo = $this->repository('XF:Tag');

		$cloudEntries = $tagRepo->getTagsForCloud($limit, $minUses);
        $tagCloud = $tagRepo->getTagCloud($cloudEntries);
     

		$viewParams = [
			
			'tagCloud' => $tagCloud
		];
		return $this->renderer('kst_widget_tag_cloud', $viewParams);
	}

	public function verifyOptions(\XF\Http\Request $request, array &$options, &$error = null)
	{
		$options = $request->filter([
			'limit' => 'uint',
			'minUses' => 'uint'
        ]);
        if ($options['limit'] < 10)
		{
			$options['limit'] = 10;
		}
		if ($options['minUses'] < 1)
		{
			$options['minUses'] = 1;
		}
		
		return true;
	}

}